%define major 1
%define libname %mklibname audit %{major}
%define develname %mklibname audit -d

%define auparsemajor 0
%define auparselibname %mklibname auparse %{auparsemajor}
%define auparsedevelname %mklibname auparse -d

Summary:        User-space tools for Linux 2.6 kernel auditing
Name:           audit
Version:        2.7.5
Release:        %mkrel 1
License:        LGPLv2+
Group:          System/Base
URL:            http://people.redhat.com/sgrubb/audit/
Source0:        http://people.redhat.com/sgrubb/audit/audit-%{version}.tar.gz
Source1:        %{name}-tmpfiles.conf
BuildRequires:  gettext-devel
BuildRequires:  glibc-devel >= 2.6
BuildRequires:  intltool
BuildRequires:  libcap-ng-devel
BuildRequires:  libtool
BuildRequires:  openldap-devel
BuildRequires:  prelude-devel >= 0.9.16
BuildRequires:  python-devel
BuildRequires:  python3-devel
BuildRequires:  swig
BuildRequires:  tcp_wrappers-devel
# for macro definition:
BuildRequires:  systemd-devel
Requires(preun): rpm-helper
Requires(post): rpm-helper
Requires(postun):rpm-helper
Requires:       tcp_wrappers

%description
The audit package contains the user space utilities for storing and searching
the audit records generate by the audit subsystem in the Linux 2.6 kernel.

%package -n     %{libname}
Summary:        Main libraries for %{name}
Group:          System/Libraries

%description -n %{libname}
This package contains the main libraries for %{name}.

%package -n     %{develname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       libaudit-devel = %{version}-%{release}
Provides:       audit-devel = %{version}-%{release}
Provides:       audit-libs-devel = %{version}-%{release}

%description -n %{develname}
This package contains development files for %{name}.

%package -n     %{auparselibname}
Summary:        Main libraries for %{name}
Group:          System/Libraries

%description -n %{auparselibname}
This package contains the main auparse libraries for %{name}.

%package -n     %{auparsedevelname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{auparselibname} = %{version}-%{release}
Provides:       auparse-devel = %{version}-%{release}


%description -n %{auparsedevelname}
This package contains development files for %{name}.

%package -n     python-audit
Summary:        Python bindings for %{name}
Group:          Development/Python

%description -n python-audit
This package contains python bindings for %{name}.

%package -n     python3-audit
Summary:        Python3 bindings for libaudit
License:        LGPLv2+
Group:          Development/Python
Requires:       %{name} = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n python3-audit
The python3-audit package contains the bindings so that libaudit
and libauparse can be used by python3.

%package -n     audispd-plugins
Summary:        Plugins for the audit event dispatcher
Group:          System/Base
Requires:       %{name} = %{version}

%description -n audispd-plugins
The audispd-plugins package provides plugins for the real-time interface to the
audit system, audispd. These plugins can do things like relay events to remote
machines.

%package -n	audispd-plugins-zos
Summary:	z/OS plugin for the audit event dispatcher
Group:		System/Base
Requires:	%{name} = %{version}
Requires:	openldap

%description -n audispd-plugins-zos
The audispd-plugins-zos package provides a plugin that will forward all
incoming audit events, as they happen, to a configured z/OS SMF (Service
Management Facility) database, through an IBM Tivoli Directory Server
(ITDS) set for Remote Audit service.

%prep
%setup -q

find -type d -name ".libs" | xargs rm -rf

#fix build with new automake
sed -i -e 's,AM_CONFIG_HEADER,AC_CONFIG_HEADERS,g' configure.*


%build
%serverbuild
autoreconf -f -v --install

%configure2_5x \
    --disable-static \
    --with-prelude \
    --with-libwrap \
    --enable-gssapi-krb5=no \
    --with-libcap-ng=yes \
    --enable-systemd \
    --with-python3=yes

%make_build

%install
%{__install} -d %{buildroot}%{_var}/log/audit
%{__install} -d %{buildroot}%{_libdir}/audit
%{__install} -d %{buildroot}%{_var}/spool/audit
%{__install} -D -p -m 644 %{SOURCE1} %{buildroot}%{_tmpfilesdir}/%{name}.conf

%make_install

# uneeded files
find %{buildroot} -name "*.la" -delete

%post
# Copy default rules into place on new installation
files=`ls /etc/audit/rules.d/ 2>/dev/null | wc -w`
if [ "$files" -eq 0 ] ; then
# FESCO asked for audit to be off by default. #1117953
	if [ -e /usr/share/doc/audit/rules/10-no-audit.rules ] ; then
	        cp /usr/share/doc/audit/rules/10-no-audit.rules /etc/audit/rules.d/audit.rules
	else
		touch /etc/audit/rules.d/audit.rules
	fi
	chmod 0600 /etc/audit/rules.d/audit.rules
fi

%_tmpfilescreate %{name}

## This hack is because the auditd.service needs to be started before sysinit.target. So let's just enable and start
## the service manually after installation. This needs to be revisited after our %%_post_service has been adjusted
systemctl enable -q auditd.service
systemctl start -q auditd.service
# %%_post_service auditd.service

%preun
## For some unknow reason "systemctl stop" doesn't work so use "systemctl kill" instead:
## Failed to stop auditd.service: Operation refused, unit auditd.service may be requested
## by dependency only.
systemctl kill -q auditd.service
systemctl disable -q auditd.service


%files
%doc README ChangeLog rules init.d/auditd.cron
%attr(644,root,root) %{_unitdir}/auditd.service
%attr(750,root,root) %dir %{_libexecdir}/initscripts/legacy-actions/auditd
%attr(750,root,root) %{_libexecdir}/initscripts/legacy-actions/auditd/resume
%attr(750,root,root) %{_libexecdir}/initscripts/legacy-actions/auditd/rotate
%attr(750,root,root) %{_libexecdir}/initscripts/legacy-actions/auditd/stop
%attr(750,root,root) %{_libexecdir}/initscripts/legacy-actions/auditd/restart
%attr(750,root,root) %{_libexecdir}/initscripts/legacy-actions/auditd/condrestart
%attr(0750,root,root) %dir %{_sysconfdir}/audit
%attr(0750,root,root) %dir %{_sysconfdir}/audisp
%attr(0750,root,root) %dir %{_sysconfdir}/audisp/plugins.d
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/audit/auditd.conf
%ghost %config(noreplace) %attr(0640,root,root) %{_sysconfdir}/audit/rules.d/audit.rules
%ghost %config(noreplace) %attr(0640,root,root) %{_sysconfdir}/audit/audit.rules
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/audit/audit-stop.rules
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/audisp/audispd.conf
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/audisp/plugins.d/af_unix.conf
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/audisp/plugins.d/syslog.conf
%attr(0750,root,root) %{_sbindir}/audispd
%attr(0755,root,root) %{_sbindir}/auditctl
%attr(0755,root,root) %{_sbindir}/auditd
%attr(0750,root,root) %{_sbindir}/autrace
%attr(0755,root,root) %{_sbindir}/aureport
%attr(0755,root,root) %{_sbindir}/ausearch
%attr(0755,root,root) %{_sbindir}/augenrules
%attr(0755,root,root) %{_bindir}/aulastlog
%attr(0755,root,root) %{_bindir}/aulast
%attr(0755,root,root) %{_bindir}/ausyscall
%attr(7555,root,root) %{_bindir}/auvirt
%attr(0644,root,root) %{_mandir}/man5/audispd.conf.5*
%attr(0644,root,root) %{_mandir}/man5/auditd.conf.5*
%attr(0644,root,root) %{_mandir}/man5/ausearch-expression.5*
%attr(0644,root,root) %{_mandir}/man7/audit.rules.7*
%attr(0644,root,root) %{_mandir}/man8/audispd.8*
%attr(0644,root,root) %{_mandir}/man8/auditctl.8*
%attr(0644,root,root) %{_mandir}/man8/auditd.8*
%attr(0644,root,root) %{_mandir}/man8/aulast.8*
%attr(0644,root,root) %{_mandir}/man8/aulastlog.8*
%attr(6444,root,root) %{_mandir}/man8/auvirt.8.*
%attr(6444,root,root) %{_mandir}/man8/augenrules.8*
%attr(0644,root,root) %{_mandir}/man8/aureport.8*
%attr(0644,root,root) %{_mandir}/man8/ausearch.8*
%attr(0644,root,root) %{_mandir}/man8/ausyscall.8*
%attr(0644,root,root) %{_mandir}/man8/autrace.8*
%attr(0700,root,root) %dir %{_var}/log/audit
%{_tmpfilesdir}/%{name}.conf

%files -n %{libname}
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/libaudit.conf
%{_libdir}/libaudit.so.%{major}{,.*}
%attr(0644,root,root) %{_mandir}/man5/libaudit.conf.5*

%files -n %{develname}
%doc ChangeLog contrib/skeleton.c contrib/plugin
%{_libdir}/libaudit.so
%{_includedir}/libaudit.h
%{_datadir}/aclocal/audit.m4
%{_libdir}/pkgconfig/audit.pc
%{_libdir}/pkgconfig/auparse.pc
%{_mandir}/man3/audit_*
%{_mandir}/man3/ausearch_*
%{_mandir}/man3/get_auditfail_action.3*
%{_mandir}/man3/set_aumessage_mode.3*

%files -n %{auparselibname}
%{_libdir}/libauparse.so.%{auparsemajor}{,.*}

%files -n %{auparsedevelname}
%doc ChangeLog contrib/skeleton.c contrib/plugin
%{_libdir}/libauparse.so
%{_includedir}/auparse-defs.h
%{_includedir}/auparse.h
%{_mandir}/man3/auparse_*

%files -n python-audit
%{python2_sitearch}/*.so
%{python2_sitearch}/audit.p*

%files -n python3-audit
%{python3_sitearch}/*

%files -n audispd-plugins
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/audisp/audisp-prelude.conf
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/audisp/audisp-remote.conf
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/audisp/plugins.d/au-prelude.conf
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/audisp/plugins.d/au-remote.conf
%attr(0750,root,root) %{_sbindir}/audisp-prelude
%attr(0750,root,root) %{_sbindir}/audisp-remote
%attr(0644,root,root) %{_mandir}/man5/audisp-prelude.conf.5*
%attr(0644,root,root) %{_mandir}/man5/audisp-remote.conf.5*
%attr(0644,root,root) %{_mandir}/man8/audisp-prelude.8*
%attr(0644,root,root) %{_mandir}/man8/audisp-remote.8*
%attr(0750,root,root) %dir %{_var}/spool/audit

%files -n audispd-plugins-zos
%attr(0644,root,root) %{_mandir}/man8/audispd-zos-remote.8*
%attr(0644,root,root) %{_mandir}/man5/zos-remote.conf.5*
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/audisp/plugins.d/audispd-zos-remote.conf
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/audisp/zos-remote.conf
%attr(0750,root,root) %{_sbindir}/audispd-zos-remote


%changelog
* Fri Apr 14 2017 luigiwalser <luigiwalser> 2.7.5-1.mga6
+ Revision: 1096524
- 2.7.5

* Fri Mar 31 2017 luigiwalser <luigiwalser> 2.7.4-1.mga6
+ Revision: 1095491
- 2.7.4
- 2.7.3
- remove upstream patch

* Wed Feb 15 2017 luigiwalser <luigiwalser> 2.7.2-1.mga6
+ Revision: 1086200
- 2.7.2
- add patch to fix csv output from fedora

* Tue Jan 17 2017 luigiwalser <luigiwalser> 2.7.1-1.mga6
+ Revision: 1082116
- 2.7.1

* Fri Dec 23 2016 luigiwalser <luigiwalser> 2.7-1.mga6
+ Revision: 1076652
- 2.7

* Sun Oct 16 2016 tv <tv> 2.6.7-3.mga6
+ Revision: 1061150
- BR systemd-devel for macro definition (mga#12027)

* Thu Oct 06 2016 daviddavid <daviddavid> 2.6.7-2.mga6
+ Revision: 1059170
- fix scriptlet failed and a dangling link (mga#19527)
  * move systemctl disable + stop service to %%preun section
  * systemctl stop doesn't work so use systemctl kill instead

* Wed Sep 14 2016 luigiwalser <luigiwalser> 2.6.7-1.mga6
+ Revision: 1052559
- 2.6.7

* Wed Aug 10 2016 luigiwalser <luigiwalser> 2.6.6-1.mga6
+ Revision: 1045261
- 2.6.6

* Fri May 06 2016 luigiwalser <luigiwalser> 2.5.2-1.mga6
+ Revision: 1009927
- 2.5.2
- split z/OS plugin from audispd-plugins into own subpackage

* Thu Mar 03 2016 shlomif <shlomif> 2.5-3.mga6
+ Revision: 985042
- Bump rel for rebuild
- Fix groups and tabs and macros-in-comments
- Build python3 based on Fedora (Thanks!).

* Mon Jan 25 2016 luigiwalser <luigiwalser> 2.5-1.mga6
+ Revision: 927123
- 2.5

* Thu Dec 31 2015 luigiwalser <luigiwalser> 2.4.5-1.mga6
+ Revision: 917359
- 2.4.5

* Sat Sep 12 2015 fwang <fwang> 2.4.4-3.mga6
+ Revision: 878841
- rebuild for new libprelude

* Fri Aug 21 2015 tmb <tmb> 2.4.4-2.mga6
+ Revision: 867532
- rebuild for new gcc

* Fri Aug 14 2015 shlomif <shlomif> 2.4.4-1.mga6
+ Revision: 864662
- New ver 2.4.4 (Also security fix for MGA#16584)

* Fri Jul 17 2015 shlomif <shlomif> 2.4.3-1.mga6
+ Revision: 854879
- New version 2.4.3

* Sat Feb 21 2015 ennael <ennael> 2.4.1-1.mga5
+ Revision: 816206
- 2.4.1

* Wed Oct 15 2014 umeabot <umeabot> 2.4-4.mga5
+ Revision: 739252
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.4-3.mga5
+ Revision: 725970
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.4-2.mga5
+ Revision: 678047
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 luigiwalser <luigiwalser> 2.4-1.mga5
+ Revision: 670098
- 2.4
- ghost audit rules file so the package will own it
- add pkgconfig file to files list

* Sat May 31 2014 pterjan <pterjan> 2.3.6-2.mga5
+ Revision: 628108
- Rebuild for new Python

* Mon Apr 28 2014 shlomif <shlomif> 2.3.6-1.mga5
+ Revision: 618558
- New version 2.3.6

* Thu Apr 03 2014 spuhler <spuhler> 2.3.5-1.mga5
+ Revision: 611443
- upgrade to ver. 2.3.5

* Wed Apr 02 2014 spuhler <spuhler> 2.3.4-6.mga5
+ Revision: 611342
+ rebuild (emptylog)

* Wed Apr 02 2014 spuhler <spuhler> 2.3.4-5.mga5
+ Revision: 611242
- removed the cp rules script

* Wed Apr 02 2014 spuhler <spuhler> 2.3.4-4.mga5
+ Revision: 611232
- added the system start auditd.service and stop command at post and preun lines
  * The macros don't work for this.

* Mon Mar 17 2014 spuhler <spuhler> 2.3.4-3.mga5
+ Revision: 604479
- added systemctl enable -q auditd.service
  * because the macro %%_post_service auditd doesn't work
  * service needs to be started before sysinit.target
- similar in the %%preun section, systemctl disable -q auditd.service

* Thu Mar 13 2014 spuhler <spuhler> 2.3.4-2.mga5
+ Revision: 602753
- added audit-tmpfiles.conf
 - added in %%post %%_tmpfilescreate %%{name}
 - added in %%files section %%{_tmpfilesdir}/%%{name}.conf

* Tue Mar 11 2014 spuhler <spuhler> 2.3.4-1.mga5
+ Revision: 602496
- upgrade to ver. 2.3.4

* Tue Mar 11 2014 colin <colin> 2.3.2-3.mga5
+ Revision: 602436
- Remove /-vs-/usr complexity now that usrmove is completed
- Switch to systemd units (sysvinit script was broken due to LSB patch removal mga#12977)

* Sat Oct 19 2013 umeabot <umeabot> 2.3.2-2.mga4
+ Revision: 532572
- Mageia 4 Mass Rebuild

* Wed Aug 21 2013 spuhler <spuhler> 2.3.2-1.mga4
+ Revision: 468634
- removed un-needed mkdir m4 line in spec
- upgrade to ver 2.3.2
- removed autdated patches

* Wed Jun 26 2013 wally <wally> 2.2.3-2.mga4
+ Revision: 447289
- drop old conflicts/obsoletes
- drop unneeded requires
- disable static build
- clean .spec a bit

* Sun Mar 31 2013 luigiwalser <luigiwalser> 2.2.3-1.mga3
+ Revision: 406904
- 2.2.3
- fix clone syscall interpretation (patch1 from fedora)

* Fri Jan 11 2013 umeabot <umeabot> 2.2.2-5.mga3
+ Revision: 346586
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 tmb <tmb> 2.2.2-4.mga3
+ Revision: 344010
- dont own _libdir/audit, it belongs to glibc

* Sat Jan 05 2013 spuhler <spuhler> 2.2.2-3.mga3
+ Revision: 339175
- bumped rel to get it rebuilt against new glibc

* Fri Jan 04 2013 spuhler <spuhler> 2.2.2-2.mga3
+ Revision: 338517
- bumped rel to make it rebuild
- did some cleaning on spec file

* Fri Jan 04 2013 spuhler <spuhler> 2.2.2-1.mga3
+ Revision: 338501
- upgrade to 2.2.2

* Mon Dec 31 2012 wally <wally> 2.2.1-2.mga3
+ Revision: 336503
- fix build with new automake 1.13

* Fri Sep 07 2012 spuhler <spuhler> 2.2.1-1.mga3
+ Revision: 289145
- upgrade to 2.2.1

* Thu Nov 24 2011 pterjan <pterjan> 2.1.3-1.mga2
+ Revision: 171751
- Update to 2.1.3

* Thu Sep 08 2011 tv <tv> 2.1.2-1.mga2
+ Revision: 141589
- fix LSB end tag
- new release

* Wed Apr 13 2011 tv <tv> 2.0.6-1.mga1
+ Revision: 84099
- new release

* Mon Jan 17 2011 pterjan <pterjan> 2.0.5-3.mga1
+ Revision: 21346
- Rebuild for python 2.7

* Sun Jan 09 2011 pterjan <pterjan> 2.0.5-2.mga1
+ Revision: 4524
- Drop obsolete requires
- Get the 2.0.5 update
- Get the 2.0.5 update
- Drop obsolete stuff
- imported package audit

